Summary:	The sar and iostat system monitoring commands
Summary(pl.UTF-8):	Polecenia sar i iostat dla systemu Linux
Summary(ru.UTF-8):	Содержит программы системного мониторинга sar и iostat
Summary(uk.UTF-8):	Містить команди системного моніторингу sar та iostat
Summary(zh_CN.UTF-8):	sar, iostat 等系统监视工具
Name:		sysstat
Version:	10.1.6
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
# Source0-md5:	61792b2591e4b3adcb7b979af2330fba
Source2:	%{name}.init
Patch0:		%{name}-opt.patch
URL:		http://perso.wanadoo.fr/sebastien.godard/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.671
Requires(post,preun):	/sbin/chkconfig
Requires:	crondaemon
Requires:	rc-scripts
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts. They
enable system monitoring of disk, network, and other IO activity.

%description -l pl.UTF-8
Pakiet ten udostępnia polecenia sar i iostat dla systemu Linux podobne
w działaniu do tradycyjnych narzędzi systemu Unix. Polecenia te
umożliwiają monitorowanie obciążenia zasobów dyskowych, interfejsów
sieciowych i innych operacji wejścia/wyjścia.

%description -l ru.UTF-8
Этот пакет содержит программы sar и iostat для Linux, похожие на
традиционные одноименные программы UNIX. Они позволяют осуществлять
мониторинг дисковой, сетевой и прочей активности системы.

%description -l uk.UTF-8
Цей пакет містить програми sar та iostat для Linux, схожі на
традиційні відповідні програми UNIX. Вони дозволяють здійснювати
моніторинг дискової, мережевої та іншої активності системи.

%description -l zh_CN.UTF-8
本软件提供了用于Linux的系统监视工具, 可以监视磁盘, 网络以及 其他 IO 的活动情况.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	history=28 \
	compressafter=31 \
	cron_owner=root \
	cron_interval=10 \
	--enable-install-cron \
	--disable-stripping \
	--with-systemdsystemunitdir=%{systemdunitdir}

%{__sed} -i 's/SADC_OPTIONS=""/SADC_OPTIONS="-L"/' sysstat.sysconfig

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d,sysconfig},/var/log/sa,%{systemdunitdir}}

%{__make} install \
	CHOWN=/bin/true \
	SYSTEMCTL=/bin/true \
	SYSTEMD_UNIT_DIR=$RPM_BUILD_ROOT%{systemdunitdir} \
	DESTDIR=$RPM_BUILD_ROOT

install -p sysstat.service $RPM_BUILD_ROOT%{systemdunitdir}

%{__sed} -e 's|/usr/lib/sa|%{_libdir}/sa|g' %{SOURCE2} >$RPM_BUILD_ROOT/etc/rc.d/init.d/sysstat

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sysstat
%service sysstat restart
%systemd_post sysstat.service

%preun
if [ "$1" = "0" ]; then
	%service sysstat stop
	/sbin/chkconfig --del sysstat
fi
%systemd_preun sysstat.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 10.1.6-1
%systemd_trigger sysstat.service

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README FAQ
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/sa
%attr(755,root,root) %{_libdir}/sa/*
%attr(750,root,root) %dir /var/log/sa
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%{systemdunitdir}/sysstat.service
%{_mandir}/man*/*
%changelog
* Sat Aug 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sysstat.git;a=log;h=master

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> 03ec5a9
- fix libdir in SysV init script
- rel 3

* Sat Aug 17 2013 Jan Rękorajski <baggins@pld-linux.org> b9d8097
- use crontab supplied by upstream
- rel 2

* Fri Aug 16 2013 Jan Rękorajski <baggins@pld-linux.org> 2746aff
- up to 10.1.6
- use properly prepared upstream sysconfig file
- added systemd service

* Mon Aug 29 2011 areq <areq@pld-linux.org> c69eae7
- 10.0.2

* Tue Jul 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7aa0cf7
- up to 10.0.1

* Tue Mar 15 2011 areq <areq@pld-linux.org> 62b03bd
- 10.0.0

* Wed Aug 25 2010 Tomasz Pala <gotar@pld-linux.org> 23bbadb
- upgraded to 9.0.6.1

* Fri Nov 13 2009 Elan Ruusamäe <glen@pld-linux.org> 0dc7343
- release 2

* Fri Nov 13 2009 Elan Ruusamäe <glen@pld-linux.org> acd8de1
- cosmetics

* Fri Nov 13 2009 Elan Ruusamäe <glen@pld-linux.org> 696b909
- default MAILTO

* Wed Nov 11 2009 Krzysztof Goliński <dirdival@pld-linux.org> 8487f23
- up to 9.0.6

* Mon May 25 2009 amateja <amateja@pld-linux.org> 8b4ef17
- updated to 9.0.3

* Thu Apr 02 2009 areq <areq@pld-linux.org> 6029c3b
- 9.0.2

* Mon Mar 23 2009 Jan Rękorajski <baggins@pld-linux.org> ddf80c0
- 9.0.1

* Sat Jan 17 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d4b59c
- up to 8.1.8

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> db17aee
- updated to 8.1.7

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> 07e01c6
- release 2

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> 4292768
- start+stop=100

* Tue Nov 04 2008 Elan Ruusamäe <glen@pld-linux.org> 73b138e
- add try-restart, fix force-reload

* Mon Oct 13 2008 Elan Ruusamäe <glen@pld-linux.org> e818aa3
- cleanup from samples

